/*
 * System Interface Library for games
 * Copyright (c) 2007-2017 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/sysdep/psp/time.c: PSP timekeeping functions.
 */

#define IN_SYSDEP

#include "src/base.h"
#include "src/math.h"
#include "src/sysdep.h"
#include "src/sysdep/psp/internal.h"

/*************************************************************************/
/************************** Interface routines ***************************/
/*************************************************************************/

void sys_time_init(void)
{
    /* Nothing to do. */
}

/*-----------------------------------------------------------------------*/

int sys_time_unit(void)
{
    return 1000000;
}

/*-----------------------------------------------------------------------*/

uint64_t sys_time_now(void)
{
    return sceKernelGetSystemTimeWide();
}

/*-----------------------------------------------------------------------*/

void sys_time_delay(int64_t time)
{
    if (time > 0) {
        sceKernelDelayThread(time);
    }
}

/*************************************************************************/
/*************************************************************************/

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
